Bug 638384 - (CVE-2010-3357) CVE-2010-3357 gnome-subtitles: insecure library loading vulnerability
CVE-2010-3357 gnome-subtitles: insecure library loading vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100928,reported=20100914,sou...
: Security
Depends On: 638385
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-28 18:06 EDT by Vincent Danen
Modified: 2015-08-19 04:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-01 03:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-09-28 18:06:28 EDT
Raphael Geissert conducted a review of various packages in Debian and found that gnome-subtitles contained a script that could be abused by an attacker to execute arbitrary code [1].

The vulnerability is due to an insecure change to LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for libraries in directories other than the standard paths.  When there is an empty item in the colon-separated list of directories in LD_LIBRARY_PATH, ld.so(8) treats it as a '.' (current working directory).  If the given script is executed from a directory where a local attacker could write files, there is a chance for exploitation.

In Fedora, /usr/bin/gnome-subtitles re-sets LD_LIBRARY_PATH insecurely:

export LD_LIBRARY_PATH="$libdir/gnome-subtitles:$LD_LIBRARY_PATH"

A solution is to patch the script to test if $LD_LIBRARY_PATH is set first before attempting to modify it:

if [ -z ${LD_LIBRARY_PATH} ]; then
    export LD_LIBRARY_PATH=/usr/lib/foo
else
    export LD_LIBRARY_PATH=/usr/lib/foo:${LD_LIBRARY_PATH}
fi

This issue has been assigned the name CVE-2010-3357.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=598289
Comment 1 Vincent Danen 2010-09-28 18:07:30 EDT
Created gnome-subtitles tracking bugs for this issue

Affects: fedora-all [bug 638385]
Comment 2 Tomas Hoger 2010-09-29 03:44:22 EDT
This one-liner should work as an alternative to if-else-fi fix:
export LD_LIBRARY_PATH=/usr/lib/foo${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
Comment 3 Pedro Castro 2010-10-01 19:37:03 EDT
This bug has been fixed in the development version with Tomas' one-liner:

export LD_LIBRARY_PATH=$libdir/gnome-subtitles${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}

Note You need to log in before you can comment on or make changes to this bug.